Import Physical Gift Card

​

Imports a user's physical gift card into the app. The physical gift card is added to the Punchh system.

Headers

  • The signature for the API call

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Advertises which content types the client is able to understand

  • Preferred language

  • Set this header to application/json.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • Card number of the physical gift card

  • OAuth client ID provided by the business

  • ID of a particular gift card design selected by the user while purchasing a gift card

  • Security PIN associated with the gift card

  • Name assigned to the gift card by a user

Responses

  • application/json
Request Example for post/api2/mobile/gift_cards
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards \
  --request POST \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "design_id": 1,
  "card_number": "CARD_NUMBER_GOES_HERE",
  "epin": "EPIN_GOES_HERE",
  "name": "My first card"
}'
{
  "card_background_image": "IMAGE_URL_GOES_HERE",
  "card_number": "CARD_NUMBER_GOES_HERE",
  "epin": "EPIN_GOES_HERE",
  "usb_scannable_card_number": "CARD_NUMBER_GOES_HERE",
  "created_at": "2016-05-12T03:54:45-06:00",
  "design_id": 1,
  "preferred": false,
  "name": "My first card",
  "last_fetched_amount": 42,
  "last_fetched_at": "2016-05-12T04:44:01-06:00",
  "status": "active",
  "type": null,
  "updated_at": "2016-05-12T04:44:01-06:00",
  "users": [
    {
      "user_id": 111111111,
      "email": "test@example.com",
      "first_name": "FIRST_NAME_GOES_HERE",
      "last_name": "LAST_NAME_GOES_HERE",
      "fb_uid": null,
      "avatar_remote_url": null,
      "state": "owner"
    }
  ],
  "uuid": "ID_GOES_HERE",
  "gift_card_id": "ID_GOES_HERE",
  "auto_reload_enabled": true,
  "gc_user_auto_reload_threshold_amount": 50,
  "gc_user_auto_reload_default_amount": 50,
  "gc_user_auto_reload_preferred_payment": "PAYMENT_CARD_UUID_GOES_HERE"
}